# $Revision: 1.3 $, $Date: 2007-11-19 08:27:53 $
Summary:	killproc and assorted tools for boot scripts
Name:		killproc
Version:	2.12
Release:	3
License:	GPL v2+
Group:		Applications/System
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	3e7b29c10a504364579ddd11fca73ab2
Patch0:		%{name}-suse.patch
BuildRequires:	rpmbuild(macros) >= 1.402
BuildRequires:	showconsole-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/

%description
Some useful programs for a replacment of the shell functions daemon
and killproc found in the Linux System V init suite. killproc(8) for
signaling or terminating, checkproc(8) for checking and startproc(8)
for starting processes. Each program has its own manual page.

%prep
%setup -q
%patch0 -p0

%build
%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# in rc-scripts
rm -f $RPM_BUILD_ROOT{%{_bindir}/usleep,%{_mandir}/man1/usleep.1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fsync
%attr(755,root,root) %{_sbindir}/checkproc
%attr(755,root,root) %{_sbindir}/pidofproc
%attr(755,root,root) %{_sbindir}/start_daemon
%attr(755,root,root) %{_sbindir}/killproc
%attr(755,root,root) %{_sbindir}/startproc
%{_mandir}/man1/fsync.1*
%{_mandir}/man8/checkproc.8*
%{_mandir}/man8/killproc.8*
%{_mandir}/man8/start_daemon.8
%{_mandir}/man8/pidofproc.8
%{_mandir}/man8/startproc.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: killproc.spec,v $
Revision 1.3  2007-11-19 08:27:53  glen
- rel 3

Revision 1.2  2007-11-15 00:05:49  glen
- unpackage usleep which rc-scripts provides; rel 2

Revision 1.1  2007/10/31 22:12:14  glen
- from suse sysvinit package
